publish_npm:
  stage: publish_npm

  image: node:14

  script:
    - apt-get update
    - echo "--- Install ---"
    - npm install
    - echo "--- Build ---"
    - npm run build-all-libs
    - cd $NPM_MODULE_DIR
    - >
      for dir in $(ls -d */ | sed 's#/##'); do
        cd $dir
        echo $dir
        echo "@apmatic:registry=https://gitlab.com/api/v4/projects/${CI_PROJECT_ID}/packages/npm/">.npmrc
        echo "//gitlab.com/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}">>.npmrc
        # cat .npmrc
        echo "--- Publish ---"
        if npm publish ; then
          echo "SUCCESS"
        else
          echo "FAIL"
        fi
        cd ..
      done
